{
  "schema_version": "1.4.0",
  "id": "GHSA-cg3g-c98g-38cg",
  "modified": "2024-10-15T18:30:48Z",
  "published": "2022-05-01T18:17:21Z",
  "aliases": [
    "CVE-2007-3798"
  ],
  "details": "Integer overflow in print-bgp.c in the BGP dissector in tcpdump 3.9.6 and earlier allows remote attackers to execute arbitrary code via crafted TLVs in a BGP packet, related to an unchecked return value.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-3798"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9771"
    },
    {
      "type": "WEB",
      "url": "http://bugs.gentoo.org/show_bug.cgi?id=184815"
    },
    {
      "type": "WEB",
      "url": "http://cvs.tcpdump.org/cgi-bin/cvsweb/tcpdump/print-bgp.c?r1=1.91.2.11&r2=1.91.2.12"
    },
    {
      "type": "WEB",
      "url": "http://docs.info.apple.com/article.html?artnum=307179"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2007/Dec/msg00002.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26135"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26168"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26223"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26231"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26263"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26266"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26286"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26395"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26404"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26521"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27580"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28136"
    },
    {
      "type": "WEB",
      "url": "http://security.freebsd.org/advisories/FreeBSD-SA-07:06.tcpdump.asc"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200707-14.xml"
    },
    {
      "type": "WEB",
      "url": "http://slackware.com/security/viewer.php?l=slackware-security&y=2007&m=slackware-security.449313"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2007/dsa-1353"
    },
    {
      "type": "WEB",
      "url": "http://www.digit-labs.org/files/exploits/private/tcpdump-bgp.c"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:148"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_16_sr.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0368.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0387.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/474225/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/24965"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1018434"
    },
    {
      "type": "WEB",
      "url": "http://www.trustix.org/errata/2007/0023"
    },
    {
      "type": "WEB",
      "url": "http://www.turbolinux.com/security/2007/TLSA-2007-46.txt"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-492-1"
    },
    {
      "type": "WEB",
      "url": "http://www.us-cert.gov/cas/techalerts/TA07-352A.html"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/2578"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/4238"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-252"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-07-16T22:30:00Z"
  }
}